/*
 * libsgml -- SGML state machine parsing library.
 *                                                                  
 * Copyright (c) 2002 Uninformed Research (http://www.uninformed.org)
 * All rights reserved.
 *
 * skape
 * mmiller@hick.org
 */
#ifndef _LIBSGML_HTMLELEMENT_H
#define _LIBSGML_HTMLELEMENT_H

#include "HtmlNode.h"

#define HTML_ELEMENT HTML_NODE

HTML_ELEMENT *htmlElementNew();
void htmlElementDestroy(HTML_ELEMENT *element);

void htmlElementSetAttribute(HTML_ELEMENT *element, const char *name, const char *value);
void htmlElementUnsetAttribute(HTML_ELEMENT *element, const char *name);

const char *htmlElementGetAttribute(HTML_ELEMENT *element, const char *name);

#endif
